summaryrefslogtreecommitdiff
path: root/test/patchexim
diff options
context:
space:
mode:
authorJeremy Harris <jgh146exb@wizmail.org>2023-01-20 17:41:14 +0000
committerJeremy Harris <jgh146exb@wizmail.org>2023-08-09 12:08:39 +0100
commitecb6fe6728708adefdf4f2f2aad134e36f09fc28 (patch)
tree4bf64d03cd6b6e4e329ac8e7a8cbc0dc283ca695 /test/patchexim
parent4e871f9b28dff4cacfd012aede1d092cc8cfbd36 (diff)
Testsuite: support TLS cross-library testing
Diffstat (limited to 'test/patchexim')
-rwxr-xr-xtest/patchexim12
1 files changed, 10 insertions, 2 deletions
diff --git a/test/patchexim b/test/patchexim
index 2a4077820..a006022e0 100755
--- a/test/patchexim
+++ b/test/patchexim
@@ -2,6 +2,7 @@
use strict;
use warnings;
+use Getopt::Std;
###############################################################################
# This is an auxiliary script that is part of the Exim test suite. It must be #
@@ -11,10 +12,17 @@ use warnings;
# #
# The only argument to this script is the name of the Exim binary that is to #
# be copied. The script must be run in the correct current directory. #
+# #
+# One option, -o <outfile> can be given. Default is "eximdir/exim" #
###############################################################################
+our ($opt_o);
+getopts('o:');
+
+my $outfile = defined($opt_o) ? $opt_o : 'eximdir/exim';
+
open(IN, $ARGV[0]) || die "** Failed to open $ARGV[0]: $!\n";
-open(OUT, '>eximdir/exim') || die "** Failed to open eximdir/exim: $!\n";
+open(OUT, ">$outfile") || die "** Failed to open $outfile: $!\n";
while(<IN>)
{
@@ -37,6 +45,6 @@ while(<IN>)
close(IN);
close(OUT);
-chmod 04755, 'eximdir/exim';
+chmod 04755, $outfile;
# End of patchexim script